Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 252350 - Stabilization of app-admin/gamin-0.1.10 and co
Summary: Stabilization of app-admin/gamin-0.1.10 and co
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 248737 251812
Blocks: 260063
  Show dependency tree
 
Reported: 2008-12-24 05:03 UTC by Mart Raudsepp
Modified: 2009-04-28 18:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2008-12-24 05:03:52 UTC
Hello arches,

Please stabilize the following packages (see migration concern note below first for a possible better timing of stabilization):

dev-libs/libgamin-0.1.10
app-admin/gamin-0.1.10
app-admin/gam-server-0.1.10

This splits app-admin/gamin into three mentioned packages (of which app-admin/gamin remains as a meta package for ease of migration for now).
This solves the awful long-standing bug 217861 for stable tree fresh installers finally.


Note that you might need portage-2.1.6 for an easy migration for the split ebuilds. If you for some reason believe it is better to wait out for that automatic blocker resolution in portage-2.1.6, you can wait up until Zac thinks portage-2.1.6 is good to go, but it might be worth doing it before, given the long issue it has caused for stable tree fresh installs (requiring manual interaction out of the box on desktop profiles). Then again, I understand portage-2.1.6 is ready very soon now, according to old ETAs I know about.

I'm not 100% sure portage-2.1.6 was necessary to auto-solve the migration to split, but I think so... you can see easily if using stable portage and wrangling this. If it works fine without, there's nothing to worry about of course
Comment 1 Mart Raudsepp gentoo-dev 2008-12-24 05:06:34 UTC
Just to make sure I didn't give the wrong impression with "this splits app-admin/gamin" -- it does that from gentoo side, and has of course upstream fixes between 0.1.9 to 0.1.10 too. Most of these patches are for the build system to support this kind of split-up at source build level (contributed by us, Remi specifically I think), but there were also other bug fixes, one I remember fixing something Ubuntu was hitting really hard.
Comment 2 Mart Raudsepp gentoo-dev 2008-12-24 05:08:06 UTC
bah, not Ubuntu but something also much used - upstream jhbuild smoke-testing perhaps
Comment 3 Mart Raudsepp gentoo-dev 2008-12-25 01:20:41 UTC
Zac says he plans this weekend for portage-2.1.6, so I think it's worth the wait unless it gets delayed. (waiting portage-2.1.6 stablization OK to do it before gamin)
Comment 4 Mart Raudsepp gentoo-dev 2008-12-29 01:08:51 UTC
Apparently portage-2.1.6 stabilization is progressing now, so this can be now stabilized after portage :)
Comment 5 Outer Measure 2008-12-29 14:19:22 UTC
(In reply to comment #4)
> Apparently portage-2.1.6 stabilization is progressing now, so this can be now
> stabilized after portage :)
> 

Given that portage-2.1.6 isn't going to be stable for at least another 4 weeks (2.1.6.4 in tree 27-Dec-2008 is the only 2.1.6 version in tree.  Gentoo policy implies earliest date for stablisation is 26-Jan-2009) shouldn't this stabilisation go ahead now, rather than wait another month and leave the circular dependency in the stable tree for the same period?
Comment 6 Friedrich Oslage (RETIRED) gentoo-dev 2008-12-29 15:25:15 UTC
sparc stable

The 30-days wait period is a guideline not a strict rule. Arch teams my decide to stablize a package earlier. This mostly applies for security issues but other reasons, such as the need for the blocker-solving feature are also valid. 

In fact amd64 and sparc allready have portage-2.1.6.4 stable :)
Comment 7 Markus Meier gentoo-dev 2009-01-05 21:56:42 UTC
amd64/x86 stable
Comment 8 Sven Schwyn (svoop) 2009-01-06 13:38:51 UTC
Check this out, any idea what's wrong?

[ebuild  N    ] dev-libs/libgamin-0.1.10  USE="python -debug" 
[ebuild  N    ] app-admin/gam-server-0.1.10  USE="-debug" 
[ebuild     U ] app-admin/gamin-0.1.10 [0.1.9-r1]
[blocks b     ] <app-admin/gamin-0.1.10 ("<app-admin/gamin-0.1.10" is blocking app-admin/gam-server-0.1.10, dev-libs/libgamin-0.1.10)
Comment 9 Sven Schwyn (svoop) 2009-01-06 13:41:34 UTC
Forgot to mention, that's amd64 with portage-2.1.6.4. Tell me if you need the emerge info, too.
Comment 10 SpanKY gentoo-dev 2009-01-06 14:04:09 UTC
Sven: packages cannot be listed in the world file in order to be upgraded automatically
Comment 11 Brent Baude (RETIRED) gentoo-dev 2009-01-06 15:53:26 UTC
ppc and ppc64 done
Comment 12 Mart Raudsepp gentoo-dev 2009-01-06 17:20:39 UTC
The list is this actually:

dev-libs/libgamin-0.1.10-r1
app-admin/gamin-0.1.10
app-admin/gam-server-0.1.10

Re-CCing sparc/x86/amd64 for dev-libs/libgamin-0.1.10-r1.
You should have seen wrong python *.pyc and *.pyo handling during your arch testing with libgamin-0.1.10...
Comment 13 Paul Gover 2009-01-07 19:12:47 UTC
There's something a bit wrong with the "stable" gamin.
I've just tried to update app-admin/gamin from 0.1.9-r1 to 0.1.10.
emerge -p gives

029692 [ebuild  N    ] dev-libs/libgamin-0.1.10  USE="python -debug" 
029693 [ebuild  N    ] app-admin/gam-server-0.1.10  USE="-debug" 
029694 [ebuild     U ] app-admin/gamin-0.1.10 [0.1.9-r1]
029695 [blocks b     ] <app-admin/gamin-0.1.10 ("<app-admin/gamin-0.1.10" is blocking app-admin/gam-server-0.1.10, dev-libs/libgamin-0.1.10)

I pressed on, hoping portage (2.2) could sort the mess out.  It failed:

* package dev-libs/libgamin-0.1.10 NOT merged
030893  * 
030894  * Detected file collision(s):
030895  * 
030896  * /usr/lib/python2.5/site-packages/gamin.pyc
030897  * /usr/lib/python2.5/site-packages/gamin.pyo
030898  * 
030899  * Searching all installed packages for file collisions...
030900  * 
030901  * Press Ctrl-C to Stop
030902  * 
030903  * None of the installed packages claim the file(s).

I love these "file collision detected" with "no packages claim the files" issues :-(
I suspect there's something a bit circular going on in the specified dependencies - to whit
app-admin/gamin-0.1.10
  >=dev-libs/libgamin-0.1.10
but
dev-libs/libgamin-0.1.10
  !<app-admin/gamin-0.1.10
My guess is that unmerging all the gamin bits and starting again would cure it, but it's too late for me to be confident, and I don't want to break my machine tomorrow!

---

Here's my emerge --info
Portage 2.2_rc20 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-vs2.2.0.7-gentoolargemem i686)
=================================================================
System uname: Linux-2.6.22-vs2.2.0.7-gentoolargemem-i686-Genuine_Intel-R-_CPU_T1300_@_1.66GHz-with-glibc2.0
Timestamp of tree: Wed, 07 Jan 2009 18:15:02 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.1-r1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=prescott -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=prescott -pipe"
DISTDIR="/var/tmp/distfiles"
FEATURES="ccache collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo/ "
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_GB en_US en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/ibm-internal /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl acpi alsa berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvb dvd dvdr dvdread eds emboss encode esd evo fam firefox fortran gdbm gif gpm gstreamer gtk hal iconv ipv6 isdnlog java jpeg kde laptop libnotify mad midi mikmod mmx mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl pmu png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis win32codecs x86 xml xorg xulrunner xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB en_US en" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 14 Paul Gover 2009-01-08 18:42:43 UTC
(In reply to comment #13)
Sorry, I realize today that all I did was duplicate comments #8 and #12, using portage 2.2.

Going to ~x86 on dev-libs/libgamin fixes the collision by using 0.1.10-r1, and the block resolves automatically, like it should.
Comment 15 Markus Meier gentoo-dev 2009-01-10 11:08:14 UTC
amd64/x86 stable
Comment 16 Alexey 2009-01-12 07:21:35 UTC
emerge -uNDav world gives:

[ebuild  N    ] dev-libs/libgamin-0.1.10-r1  USE="-debug -python" 0 kB
[ebuild  N    ] app-admin/gam-server-0.1.10  USE="-debug" 0 kB
[ebuild     U ] app-admin/gamin-0.1.10 [0.1.9-r1] USE="(-debug%) (-python%)" 0 kB
[blocks b     ] <app-admin/gamin-0.1.10 ("<app-admin/gamin-0.1.10" is blocking dev-libs/libgamin-0.1.10-r1, app-admin/gam-server-0.1.10)

It's funny, but what to do? Fixing ebuild by self?
Comment 17 Alexey 2009-01-12 07:24:54 UTC
(In reply to comment #16)
> emerge -uNDav world gives:
> 
> [ebuild  N    ] dev-libs/libgamin-0.1.10-r1  USE="-debug -python" 0 kB
> [ebuild  N    ] app-admin/gam-server-0.1.10  USE="-debug" 0 kB
> [ebuild     U ] app-admin/gamin-0.1.10 [0.1.9-r1] USE="(-debug%) (-python%)" 0
> kB
> [blocks b     ] <app-admin/gamin-0.1.10 ("<app-admin/gamin-0.1.10" is blocking
> dev-libs/libgamin-0.1.10-r1, app-admin/gam-server-0.1.10)
> 
> It's funny, but what to do? Fixing ebuild by self?
> 

Sorry, my misstake )))
It's ok by deleting by_hand gamin-0.1.9-r1
Comment 18 Urs Zurbuchen 2009-01-12 10:11:28 UTC
Contrary to what was expressed above, neither portage 2.1.6.4 nor keywording dev-libs/libgamin ~x86 helps. app-admin/gamin still blocks dev-libs/libgamin and app-admin/gamserver.

The only way forward was with this command:
emerge -C app-admin/gamin && emerge app-admin/gamin && emerge -kuDN world
Comment 19 Tiago Cunha (RETIRED) gentoo-dev 2009-01-20 03:18:34 UTC
sparc stable
Comment 20 Tobias Klausmann gentoo-dev 2009-01-25 15:21:54 UTC
Stable on alpha.
Comment 21 Raúl Porcel (RETIRED) gentoo-dev 2009-02-06 19:11:36 UTC
arm/ia64/s390/sh stable
Comment 22 Jeroen Roovers (RETIRED) gentoo-dev 2009-02-07 01:31:20 UTC
Stable for HPPA.
Comment 23 Raúl Porcel (RETIRED) gentoo-dev 2009-04-28 18:14:53 UTC
m68k stable, closing